function update_mouse(dt)
  local _X , _Y = love.mouse.getPosition()
  local mx , my = _X, _Y
  if mx == nil then
    mx = 0
  else
    mouse.x = math.floor(mx)
  end
  if my == nil then
    my = 0
  else
    mouse.y = math.floor(my)
  end
end

function update_anim8(dt)
  for j = 1, #body.direction do --loop all directions of animation
    sprite.animation[body.direction[j]]:update(dt)
  end
  for i = 1, #body.type do --cycle all character indexes 1 to 4
    body.turn[body.type[i]]:update(dt) --turn around animation per body type
  end
end

function update_canvas(dt)
  --update sprite body
  setCanvas(face.canvas,face.img[body.select],face.layers)
  --update sprite canvas
  setCanvas(sprite.canvas,sprite.img[body.select],sprite.layers)
end
